#!/usr/bin/env python3

import sys
import fileinput

strophe = []

def print_strophe():
    global strophe
    if not strophe:
        return
    
    # unvollständige Strophen ausfiltern
    if any('.....' in zeile for zeile in strophe):
        pass
    else:
        for zeile in strophe:
            # Langzeilen aufspalten
            for vers in zeile.split("\t"):
                print(vers)
        print()
    strophe = []
    

for line in fileinput.input():
    line = line.strip()
    if line == '' or line.isnumeric():
        print_strophe()
    else:
        strophe.append(line)
print_strophe()
